Page MenuHomePhabricator

Check home/HDFS leftovers of rush
Closed, ResolvedPublic

Description

The access for Chase Pettet (rush) was removed. It needs to be checked if data was left in home dirs on stat*/notebook*/HDFS since they were part of the "analytics-privatedata-users" group.

I've already removed the Kerberos principal.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2020, 9:16 AM
elukey added subscribers: JBennett, elukey.EditedOct 9 2020, 10:04 AM
====== stat1004 ======
total 38700
drwxrwxr-x 3 root root        4096 Aug 20  2018 08_20_2018_audit
drwxr-xr-x 2 4610 wikidev     4096 Oct  5 23:40 bin
-rw-rw-r-- 1 root root       19602 Sep 11  2018 dhistory
drwxrwxr-x 2 root root        4096 Sep 19  2018 druid
-rw-rw-r-- 1 root root    33265270 Aug 20  2018 older_than_90
-rw-rw-r-- 1 root root     6320445 Aug 20  2018 postal_code
drwxrwxr-x 2 4610 wikidev     4096 Sep  6  2018 test
ls: cannot access '/var/userarchive/rush.tar.bz2': No such file or directory

====== stat1005 ======
total 4
drwxr-xr-x 2 4610 wikidev 4096 Oct  5 23:54 bin
ls: cannot access '/var/userarchive/rush.tar.bz2': No such file or directory

====== stat1006 ======
total 7508
-rw-rw-r-- 1 root root       4578 Aug 30  2018 analytics1-a-eqiad_10.64.5.0_24_scan
-rw-rw-r-- 1 root root       4255 Aug 30  2018 analytics1-b-eqiad_10.64.21.0_24_scan
-rw-rw-r-- 1 root root       5948 Aug 30  2018 analytics1-c-eqiad_10.64.36.0_24_scan
-rw-rw-r-- 1 root root       6744 Aug 30  2018 analytics1-d-eqiad_10.64.53.0_24_scan
drwxr-xr-x 2 4610 wikidev    4096 Oct  5 23:41 bin
-rw-rw-r-- 1 root root    4472960 Sep 11  2018 datasource_full_nice
-rw-rw-r-- 1 root root    3156358 Sep 17  2018 datasources?full
drwxrwxr-x 2 root root       4096 Sep 17  2018 druid
-rw-rw-r-- 1 root root        545 Sep  7  2018 notebook1003_v
-r-------- 1 4610 wikidev       6 Sep  6  2018 sensitive-datas
drwxrwxr-x 2 root root       4096 Sep 21  2018 thorium
ls: cannot access '/var/userarchive/rush.tar.bz2': No such file or directory

====== stat1007 ======
total 9552
drwxrwxr-x 4 root root       4096 Sep 27  2018 audit
drwxr-xr-x 2 4610 wikidev    4096 Oct  5 23:46 bin
drwxrwxr-x 3 root root       4096 Apr  2  2019 druid
-rw-rw-r-- 1 root root        627 Sep 11  2018 druid_test.sh
drwxrwxr-x 2 root root       4096 Sep 18  2018 hive
drwxrwxr-x 2 4610 root       4096 Apr  2  2019 jewel
-rw-rw-r-- 1 root root    9737021 Sep 18  2018 mapred.log
-rw-rw-r-- 1 root root        209 Sep 11  2018 test
drwxrwxr-x 3 4610 wikidev    4096 Apr  2  2019 test_hive_sql_interface
-rw-rw-r-- 1 root root        329 Sep 11  2018 test_query_2.json
-rw-rw-r-- 1 root root        250 Sep 13  2018 test_query.json
ls: cannot access '/var/userarchive/rush.tar.bz2': No such file or directory

====== stat1008 ======
total 4
drwxr-xr-x 2 4610 wikidev 4096 Oct  5 23:53 bin
ls: cannot access '/var/userarchive/rush.tar.bz2': No such file or directory

======= HDFS ========
Found 1 items
drwx------   - rush rush          0 2019-04-02 15:39 /user/rush/.staging

@JBennett anything to keep or should we clean up? I think that most data was related to the security audit done, but not sure if Chase was also using Hadoop for other reasons/researches/etc..

razzi triaged this task as Medium priority.Oct 22 2020, 4:58 PM
razzi moved this task from Incoming to Ops Week on the Analytics board.

Sent an email to John to get a final confirmation.

Nothing we need to keep, good to cleanup, thanks!

elukey closed this task as Resolved.Oct 23 2020, 1:17 PM
elukey claimed this task.

All stat100x homes cleaned up, HDFS home also cleaned up!